Security Enhanced Linux Reference Policy

# Layer: services

## Module: mysql

Interfaces

### Description:

Policy for MySQL

### Interfaces:

mysql_admin( domain , role )

##### Summary

All of the rules required to administrate an mysql environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the mysql domain.

mysql_append_db_files( domain )

##### Summary

Append to the MySQL database directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_manage_db_dirs( domain )

##### Summary

Create, read, write, and delete MySQL database directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_manage_db_files( domain )

##### Summary

Create, read, write, and delete MySQL database files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_read_config( domain )

##### Summary

Read MySQL configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_rw_db_dirs( domain )

##### Summary

Read and write to the MySQL database directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_rw_db_files( domain )

##### Summary

Read and write to the MySQL database directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_rw_db_sockets( domain )

##### Summary

Read and write to the MySQL database named socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_search_db( domain )

##### Summary

Search the directories that contain MySQL database storage.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_search_pid_files( domain )

##### Summary

Search MySQL PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_signal( domain )

##### Summary

Send a generic signal to MySQL.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_stream_connect( domain )

##### Summary

Connect to MySQL using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_tcp_connect( domain )

##### Summary

Allow the specified domain to connect to postgresql with a tcp socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_write_log( domain )

##### Summary

Write to the MySQL log.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return